HAUDFW(1)

NAME
haudfw - convert a Hollywood Audio DSP .lod file to a firmware image

SYNOPSIS
haudfw hdsp.lod hdsp.bin

DESCRIPTION
haudfw converts a Motorola DSP 56000 .lod file into a firmware blob that haud(4) can load directly into the DSP's 32K-word SRAM. For use with SGI Indigo and Personal Iris 4D/3x (IP12, IP20) machines.

There is no open source firmware. The input file must be pulled from an existing installation of IRIX or from install media. See haud(4) for more details.

The following options are available:

-c  Also output a C array of the converted firmware image to stdout.

-v  Increase debugging verbosity of stderr. Can be specified multiple times to further increase logging.

SEE ALSO
undist(1), haud(4)

HISTORY
The haudfw utility first appeared in NetBSD 12.